NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.BlendSetbackBuilder Class Reference

This class provides ability to define a setback curve on a blend face. More...

Inheritance diagram for NXOpen.GeometricUtilities.BlendSetbackBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Directions { U, V, Plane }
 Setback direction options More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.BlendSetbackBuilder.Directions 
Direction [get, set]
 Returns or sets the direction type More...
 
unsafe NXOpen.ScCollector Face [get]
 Returns the blend face collector. More...
 
unsafe NXOpen.Point HandlePoint [get, set]
 Returns or sets the handle point for u/v direction. More...
 
unsafe bool IsDirectionFlipped [get, set]
 Returns or sets the flag indicating if the setback curve direction is flipped. More...
 
unsafe NXOpen.Plane Plane [get, set]
 Returns or sets the setback plane. More...
 
unsafe NXOpen.Point SetbackPoint [get, set]
 Returns or sets the setback point for u/v direction. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This class provides ability to define a setback curve on a blend face.

To create a new instance of this class, use NXOpen.Part.CreateEmptyBlendSetbackBuilder

Created in NX9.0.0

Member Enumeration Documentation

Setback direction options

Enumerator
U 

setback curve is an iso-u parameter curve

V 

setback curve is an iso-v parameter curve

Plane 

setback curve is the intersection curve between a plane and faces

Member Function Documentation

unsafe bool NXOpen.GeometricUtilities.BlendSetbackBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.GeometricUtilities.BlendSetbackBuilder.Directions NXOpen.GeometricUtilities.BlendSetbackBuilder.Direction
getset

Returns or sets the direction type

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.GeometricUtilities.BlendSetbackBuilder.Face
get

Returns the blend face collector.

The collector can include faces from different blends.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.GeometricUtilities.BlendSetbackBuilder.HandlePoint
getset

Returns or sets the handle point for u/v direction.

The setback curve will pass through the handle point.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.GeometricUtilities.BlendSetbackBuilder.IsDirectionFlipped
getset

Returns or sets the flag indicating if the setback curve direction is flipped.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Plane NXOpen.GeometricUtilities.BlendSetbackBuilder.Plane
getset

Returns or sets the setback plane.

The setback curve will be the intersection curve between plane and face collector.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.GeometricUtilities.BlendSetbackBuilder.SetbackPoint
getset

Returns or sets the setback point for u/v direction.

This point is optional. If specified, it will replace the handle point and establish the associativity between the point and the setback curve. Once the handle point is changed through dragging, the associativity will be lost.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.